[SRU] Net-SNMP tries to read the obsolete /etc/sensors.conf

Bug #192745 reported by Christian Svensson on 2008-02-17
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
net-snmp (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Chuck Short
Intrepid
Undecided
Chuck Short
Jaunty
Undecided
Chuck Short

Bug Description

Using snmpd_5.4.1~dfsg-4ubuntu2_i386

The command
  snmpwalk localhost lmSensors
displays this output:
  LM-SENSORS-MIB::lmSensors = No Such Object available on this agent at this OID

strace'ing snmpd -f -Le -Ducd-snmp/lmSensors shows this:
...
time(NULL) = 1203281780
open("/etc/sensors.conf", O_RDONLY|O_LARGEFILE) = -1 ENOENT (No such file or directory)
write(2, "=> sensor_init\n", 15=> sensor_init
...

Creating a symlink /etc/sensors3.conf -> /etc/sensors.conf fixes this problem.

llloic (lll+ubuntu) wrote :

Hi,

I see the same problem on a Ubuntu 8.04, with snmpd_5.4.1~dfsg-4ubuntu4.

This has a big consequence that when lm-sensors has been configured, snmpd doesn't see the sensors and doesn't export them through SNMP.

It seems that the problem is that snmpd is linked to /usr/lib/libsensors.so.3 while sensors from lm-sensors is linked to /usr/lib/libsensors.so.4.

Is it possible to fix this problem by relinking snmpd to the new lm-sensors ?
Thanks

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package net-snmp - 5.4.1~dfsg-7.1ubuntu2

---------------
net-snmp (5.4.1~dfsg-7.1ubuntu2) intrepid; urgency=low

  * SECURITY UPDATE: HMAC authentication spoofing.
  * debian/patches/51_CVE-2008-0960.patch: fixes HMAC authentication spoofing.
  * debian/patches/52_use_right_config_file.patch: Use the right configuration
    file for lmsensors. (LP: #192745)

 -- Chuck Short <email address hidden> Mon, 16 Jun 2008 15:47:18 +0000

Changed in net-snmp:
status: New → Fix Released
Pavel Malyshev (afunix) wrote :

hardy package should be fixed too!

robertl (rl-komplisert) wrote :

Yes, we need a fix hardy also!

Changed in net-snmp:
status: Fix Released → Incomplete
robertl (rl-komplisert) on 2008-09-14
Changed in net-snmp:
assignee: nobody → ubuntu-server
Chuck Short (zulcss) wrote :

Can you try the package in my ppa when it is built (http://launchpad.net/~zulcss/+archive)?

Thanks
chuck

Jason Harvey (jason-alioth) wrote :

Installed and tested the PPA on Hardy server amd64, works fine. Tested with strace and it is no longer attempting to open /etc/sensors.conf. I was successfully able to load the lmSensors data via SNMP.

Changed in net-snmp:
assignee: ubuntu-server → nobody
status: Incomplete → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package net-snmp - 5.4.1~dfsg-12ubuntu6

---------------
net-snmp (5.4.1~dfsg-12ubuntu6) karmic; urgency=low

  * debian/patches/101-fix-ipalias.patch : Fix flooding syslog -
    Syslog fills with hundreds of these errors if you have a network
    interface, e.g. eth2, with no IP address, but you have an alias,
    e.g. eth2:1, that does have an IP address (and netmask).
    (LP: #270713)
  * debian/patches/103-fix-ubuntu-lmsensors.patch: Point to the right
    place for /etc/sensors3.conf. (LP: #192745)

 -- Chuck Short <email address hidden> Mon, 14 Sep 2009 12:19:41 -0400

Changed in net-snmp (Ubuntu):
status: Confirmed → Fix Released
Chuck Short (zulcss) on 2009-09-16
Changed in net-snmp (Ubuntu Hardy):
assignee: nobody → Chuck Short (zulcss)
Changed in net-snmp (Ubuntu Intrepid):
assignee: nobody → Chuck Short (zulcss)
Changed in net-snmp (Ubuntu Jaunty):
assignee: nobody → Chuck Short (zulcss)
summary: - Net-SNMP tries to read the obsolete /etc/sensors.conf
+ [SRU] Net-SNMP tries to read the obsolete /etc/sensors.conf
Chuck Short (zulcss) wrote :

Statement of Impact: The net-snmp version that we are running hardcodes the /etc/sensors.conf in the source code. However on ubuntu this file is /etc/sensors3.conf. Users wanting to use lmsensors and net-snmp have to create a symlink for /etc/sensors.conf.

How this bug has been addresses: This bug has been fixed in karmic by adding the attached patch to change it to /etc/sensors3.conf.

How to Reproduce:

1. Install and configure lmsensors.
2. Install and configure net-snmp.
3. Run the following command: snmpwalk localhost lmSensors

You should get the following output:

  LM-SENSORS-MIB::lmSensors = No Such Object available on this agent at this OID

Impact: There should be no impact.

Chuck Short (zulcss) wrote :
Martin Pitt (pitti) wrote :

Accepted net-snmp into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in net-snmp (Ubuntu Jaunty):
status: New → Fix Committed
tags: added: verification-needed
Martin Pitt (pitti) wrote :

Accepted net-snmp into hardy-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in net-snmp (Ubuntu Hardy):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted net-snmp into intrepid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in net-snmp (Ubuntu Intrepid):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Any testers?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package net-snmp - 5.4.1~dfsg-12ubuntu3.1

---------------
net-snmp (5.4.1~dfsg-12ubuntu3.1) jaunty-proposed; urgency=low

  * debian/patches/101-fix-ipalias.patch: Fix flooding syslog -
     Syslog fills with hundreds of these errors if you have a network
     interface, e.g. eth2, with no IP address, but you have an alias,
     e.g. eth2:1, that does have an IP address (and netmask).
     (LP: #270713)
  * debian/patches/103-fix-ubuntu-lmsensors.patch: Point to the right
     place for /etc/sensors3.conf. (LP: #192745)
  * debian/patches/99-fix-perl-counter-in-subagent.patch: Fix for Counter64 in
     perl subagent. (LP: #406171)

 -- Chuck Short <email address hidden> Tue, 15 Sep 2009 15:53:48 -0400

Changed in net-snmp (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Jaunty update was tested in bug 270713. Keeping v-needed for hardy/intrepid.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package net-snmp - 5.4.1~dfsg-4ubuntu4.3

---------------
net-snmp (5.4.1~dfsg-4ubuntu4.3) hardy-proposed; urgency=low

  * debian/patches/101-fix-ipalias.patch: Fix flooding syslog -
    Syslog fills with hundreds of these errors if you have a network
    interface, e.g. eth2, with no IP address, but you have an alias,
    e.g. eth2:1, that does have an IP address (and netmask).
    (LP: #270713)
  * debian/patches/103-fix-ubuntu-lmsensors.patch: Point to the right
    place for /etc/sensors3.conf. (LP: #192745)
  * debian/patches/99-fix-perl-counter-in-subagent.patch: Fix for Counter64 in
    perl subagent. (LP: #406171)
  * debian/patches/53_fix_python_regression.patch: Fix python segmentation fault.
    (LP: #347361)
  * debian/patches/54_fix_registration_error.patch: Surpresses annoying
    registrations in startup. (LP: #200614)

 -- Chuck Short <email address hidden> Tue, 15 Sep 2009 14:13:51 -0400

Changed in net-snmp (Ubuntu Hardy):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Hardy update was tested in bug 200614.

Martin Pitt (pitti) wrote :

Anyone who can test the package in intrepid-proposed and confirm that it still works and fixes the issue? Otherwise it will be removed from -proposed again.

Martin Pitt (pitti) wrote :

This intrepid-proposed SRU has not been verified in the last three months or longer. Intrepid will go out of support in less than two months, so it is not worth pursuing this SRU any further.

I removed the intrepid-proposed version from the archive.

Changed in net-snmp (Ubuntu Intrepid):
status: Fix Committed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers